Bug 601360 - RichFaces JavaScript errors occur on all pages, but do not appear to break anything
RichFaces JavaScript errors occur on all pages, but do not appear to break an...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.3.1
All All
high Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: jon-sprint11-bugs
  Show dependency treegraph
 
Reported: 2010-06-07 14:57 EDT by Ian Springer
Modified: 2013-08-05 20:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Windows XP SP3, IE8
Last Closed: 2010-09-24 08:56:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of error console in IE (14.56 KB, image/png)
2010-07-20 10:22 EDT, Corey Welton
no flags Details

  None (edit)
Description Ian Springer 2010-06-07 14:57:19 EDT
I saw these errors in popups when I had script errors enabled in IE. Here are the errors (there are three different ones - two from RichFaces js files and one from /js/pngfix.js):

Message: Exception thrown and not caught
Line: 185
Char: 34
Code: 0
URI: http://localhost:7080/a4j/g/3_3_3.CR1org/richfaces/renderkit/html/scripts/jquery/jquery.js.xhtml

---

Message: 'null' is null or not an object
Line: 283
Char: 355
Code: 0
URI: http://localhost:7080/a4j/g/3_3_3.CR1org.ajax4jsf.javascript.PrototypeScript.xhtml

---

Message: Object doesn't support this property or method
Line: 46
Char: 2
Code: 0
URI: http://localhost:7080/js/pngfix.js

From Firefox: uncaught exception: Syntax error, unrecognized expression: [@src$=.png]   (ips: I see this error in FF with Firebug enabled and suspect it may be referring to the same error)
Comment 1 Corey Welton 2010-07-20 10:22:10 EDT
I reproduced two of these.  I am not seeing the "Message: 'null' is null or not an object" error appear, at least no on resource/group search page, which is where i initially encountered the error.
Comment 2 Corey Welton 2010-07-20 10:22:59 EDT
Created attachment 433178 [details]
screenshot of error console in IE
Comment 3 Corey Welton 2010-09-24 08:56:31 EDT
closing per gwt effort

Note You need to log in before you can comment on or make changes to this bug.